Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Visa Account Verification Request


Use this information to process a Visa account verification request (AVR) with EMV data for a zero amount.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "comments": "TransitDA BAU zero value auth",    "code": "10000564",    "transactionId": "20000564",    "partner": {      "thirdPartyCertificationNumber": "BPCDRC220403",      "solutionId": "548UHQ8Z"    }  },  "processingInformation": {    "capture": "false",    "commerceIndicator": "retail"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "0.00",      "currency": "EUR"    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "terminalId": "12345678",    "catLevel": "2",    "entryMode": "contactless",    "terminalCapability": "5",    "terminalPinCapability": "0",    "emv": {      "tags": "5F2A0209768407A00000000310109F360200029F03060000000000009C01005F3401019F10201F220100A00000000000000000000000000000000000000000000000000000009F33030008089A032204259F260845E978CEEC63154F9F2701409F0206000000000200820220209F34031F00009F1A0209769F6E04207000009F3704B257DA1495050000000000",      "cardSequenceNumber": "1"    },    "trackData": ";476173XXXXXXXXXX=241220119058254?"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6508875466126538104002/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6508875466126538104002"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6508875466126538104002/captures"    }  },  "clientReferenceInformation": {    "code": "10000564",    "partner": {      "solutionId": "548UHQ8Z"    },    "transactionId": "20000564"  },  "id": "6508875466126538104002",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "0.00",      "currency": "EUR"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "162930",    "approvalCode": "831000",    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "211511162930",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "Y",      "codeRaw": "Y"    }  },  "reconciliationId": "6508875466126538104002",  "status": "AUTHORIZED",  "submitTimeUtc": "2022-04-25T11:52:26Z"}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/payments/6508876049646556304003"    }  },  "clientReferenceInformation": {    "code": "10000566",    "partner": {      "solutionId": "548UHQ8Z"    },    "transactionId": "20000566"  },  "errorInformation": {    "reason": "AUTH_DECLINE_CAPTURE_POSSIBLE",    "message": "Authorization Declined. Follow-on Capture can be processed."  },  "id": "6508876049646556304003",  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "162936",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "211511162936",    "transactionId": "016153570198200",    "responseCode": "05",    "avs": {      "code": "2"    }  },  "status": "DECLINED"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA BAU zero value auth.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmountSet this field to 0.00.
paymentInformation.card.typeSet this field to 001.
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
pointOfSaleInformation.trackData
processingInformation.commerceIndicatorSet this field to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.